<template>
  <div class="mt-form-fields-organisme">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="organisme.code" placeholder="Ex: Org1" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="organisme.libelle" placeholder="Ex: Organisme 1" required />
      </b-field>
      <b-field label="Code crédo ">
        <b-input v-model="organisme.credo" placeholder="Ex: 0426000" required />
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    organisme: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
